#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "libpq-fe.h"

static void exit_nicely(PGconn *conn) {
    PQfinish(conn);
    exit(1);
}

int main() {
    int i, j;
    char *dbName = "wtbwts";

    PGconn *conn;
    PGresult *res;

    conn = PQsetdb(NULL, NULL, NULL, NULL, dbName);

    if (PQstatus(conn) == CONNECTION_BAD) {
        fprintf(stderr, "Connection to database '%s' failed.\n", dbName);
        fprintf(stderr, "%s", PQerrorMessage(conn));
        exit_nicely(conn);
    }

    for (i=0; i<50; i++) {
        res = PQexec(conn, "SELECT prod_base.*, manu_base.name FROM prod_base, manu_base where prod_base.mid = manu_base.mid");
        if (!res || PQresultStatus(res) != PGRES_TUPLES_OK) {
            fprintf(stderr, "SELECT failed\n");
            PQclear(res);
            exit_nicely(conn);
        }
        for (j=0; j<PQntuples(res); j++) {
            PQgetvalue(res, j, 0);
        }
        PQclear(res);
    }
    PQfinish(conn);
    return 0;
}
